Bug 1371240 - Need to revert 'new' errata application method in pulp 2.8.7
Summary: Need to revert 'new' errata application method in pulp 2.8.7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Pulp
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-29 16:58 UTC by Justin Sherrill
Modified: 2019-09-25 21:20 UTC (History)
12 users (show)

Fixed In Version: pulp-rpm-2.8.7.2-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-26 12:26:43 UTC
Target Upstream Version:


Attachments (Terms of Use)
verification screenshot (67.40 KB, image/png)
2016-10-12 14:53 UTC, jcallaha
no flags Details


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 2218 Normal CLOSED - WONTFIX provide patch for Satellite to revert fix for errata install 2016-09-13 16:01:25 UTC
Red Hat Product Errata RHBA-2016:2108 normal SHIPPED_LIVE Satellite 6.2.3 Async Bug Release 2016-10-26 16:21:52 UTC

Description Justin Sherrill 2016-08-29 16:58:04 UTC
Description of problem:

When pulling in pulp 2.8.7 for a 6.2 z stream, we need to ensure we revert the change introduced by https://bugzilla.redhat.com/show_bug.cgi?id=1288152

The reason is that if updated with this change all clients to 6.2 will no longer be able to apply errata until their client libraries are updated as well

Comment 3 Michael Hrivnak 2016-09-13 15:05:58 UTC
It sounds like there's agreement that Satellite can just negative-commit the change as part of the normal cherry-pick process. Justin, is that your understanding? Can I close the uptream issue?

Comment 4 Justin Sherrill 2016-09-13 15:13:54 UTC
Yes, that is my understanding.  We just need to revert https://github.com/pulp/pulp_rpm/pull/872/

Comment 5 pulp-infra@redhat.com 2016-09-13 16:01:26 UTC
The Pulp upstream bug status is at CLOSED - WONTFIX. Updating the external tracker on this bug.

Comment 6 pulp-infra@redhat.com 2016-09-13 16:01:30 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 8 Justin Sherrill 2016-10-11 19:22:49 UTC
Try to apply an errata through satellite via katello-agent (not Remote exeuction) on an RHEL 6 client that does not have the 'yum-plugin-security' package installed. 

If the patch is not reverted this will fail.

Comment 9 jcallaha 2016-10-12 14:53:10 UTC
Verified in Satellite 6.2.3 Snap 3. Errata install was successful on a rhel 6.8 via katello-agent on a machine without the yum-plugin-security package.

[root@gizmo ~]# rpm -qa | grep yum-plugin-security
[root@gizmo ~]#
[root@gizmo ~]# rpm -qa | grep initscripts
initscripts-9.03.53-1.el6_8.1.x86_64
[root@gizmo ~]# lsb_release -a
LSB Version:	:base-4.0-amd64:base-4.0-noarch:core-4.0-amd64:core-4.0-noarch:graphics-4.0-amd64:graphics-4.0-noarch:printing-4.0-amd64:printing-4.0-noarch
Distributor ID:	RedHatEnterpriseServer
Description:	Red Hat Enterprise Linux Server release 6.8 (Santiago)
Release:	6.8
Codename:	Santiago


see attached image for errata install success.

Comment 10 jcallaha 2016-10-12 14:53:50 UTC
Created attachment 1209643 [details]
verification screenshot

Comment 12 errata-xmlrpc 2016-10-26 12:26:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:2108


Note You need to log in before you can comment on or make changes to this bug.